Author Topic: [EXPERIMENTAL] [EDITOR PLUGIN] AndroidBuilder v0.0.3-alpha  (Read 4298 times)

monkey0506

  • SEND PIZZA.
    • Best Innovation Award Winner 2017, for his work to help AGS games reach the widest possible audience - through popular distribution platforms (Steam, Galaxy) as well as other operating systems (Android, Linux)
    • monkey0506 worked on one or more games that won an AGS Award!
    •  
    • monkey0506 worked on one or more games that was nominated for an AGS Award!


This is an EXPERIMENTAL build of the plugin for Android building. DO NOT use this plugin for releases!!

Downloads


Please view the README for instructions on using this plugin.

Source code

[Edit:] 19 August 2017, v0.0.3-alpha was released which permits the plugin to now function properly with AGS 3.4.0 (the latest stable version as of this writing). You need to download the plugin DLL and the "Android.zip" attachment as well. Extract "Android.zip" into "EDITOR_DIRECTORY/Android" (so, "EDITOR_DIRECTORY/Android/armeabi/libags_parallax.so", etc.), and the rest will work as detailed in the README.
« Last Edit: 19 Aug 2017, 21:46 by monkey0506 »

Re: [EXPERIMENTAL] [PLUGIN] AndroidBuilder
« Reply #1 on: 06 Sep 2016, 19:27 »
Wooow 8-0
It's so great start Monkey.
Nice job.
I'm really happy with this plug in.
Thanks so much for your hard works.
My official site: http://www.pershaland.ir/

monkey0506

  • SEND PIZZA.
    • Best Innovation Award Winner 2017, for his work to help AGS games reach the widest possible audience - through popular distribution platforms (Steam, Galaxy) as well as other operating systems (Android, Linux)
    • monkey0506 worked on one or more games that won an AGS Award!
    •  
    • monkey0506 worked on one or more games that was nominated for an AGS Award!
Re: [EXPERIMENTAL] [PLUGIN] AndroidBuilder
« Reply #2 on: 07 Sep 2016, 17:15 »
Found an actual bug in this release. Keep an eye out for missing libs in your APK. Rebuilding seems to correct the problem, but I need to make sure that Gradle is always including these files. Fixed with v0.0.2-alpha.
« Last Edit: 10 Sep 2016, 02:58 by monkey0506 »

RickJ

  • fix'n one thing and break'n two ...
    • I can help with scripting
    • I can help with story design
    • RickJ worked on one or more games that was nominated for an AGS Award!
Nice work Monkey.  :grin:

monkey0506

  • SEND PIZZA.
    • Best Innovation Award Winner 2017, for his work to help AGS games reach the widest possible audience - through popular distribution platforms (Steam, Galaxy) as well as other operating systems (Android, Linux)
    • monkey0506 worked on one or more games that won an AGS Award!
    •  
    • monkey0506 worked on one or more games that was nominated for an AGS Award!
*bump* for v0.0.3-alpha. Works with AGS 3.4.0 now.

Monsieur OUXX

  • Mittens Vassal
  • Cavefish
  • Mittens Half Initiate
    • I can help with proof reading
    • I can help with translating
    • I can help with voice acting
    • Monsieur OUXX worked on one or more games that won an AGS Award!
    •  
    • Monsieur OUXX worked on one or more games that was nominated for an AGS Award!
deadly
 

selmiak

  • ǝsıɔɹǝxǝ ʞɔǝu puɐ uıɐɹq
    • I can help with play testing
    • I can help with proof reading
    • I can help with translating
    • I can help with web design
    • selmiak worked on one or more games that won an AGS Award!
    •  
    • selmiak worked on one or more games that was nominated for an AGS Award!
wow, this will be the killer feature one day... when android is a deprecated OS ;) :D

gogo, monkey! This seems really useful! :D

Crimson Wizard

  • Local Moderator
    • Lifetime Achievement Award Winner
    • Best Innovation Award Winner 2013, for spearheading the AGS 3.3.0 project
    • Crimson Wizard worked on one or more games that won an AGS Award!
    •  
    • Crimson Wizard worked on one or more games that was nominated for an AGS Award!
I did not try this plugin myself yet, but from the looks of it it uses native engine libraries to make APK.
So, here are new libraries for AGS 3.4.1: http://www.adventuregamestudio.co.uk/releases/finals/AGS-3.4.1-P2/ags-3.4.1.13-android-libs.zip
When following monkey0506's instructions, you need to replace original contents of Android.zip with these libs.

It looks like Gradle from the plugin doesn't support the latest version of java "16.0.2" . Am I right? should I download an old Java version if this is possible?

I'm using AGS 3.4.3 and ags-3.4.3.1-android-libs.

« Last Edit: 24 Jul 2021, 14:48 by Amir »
Truly, truly, i say to you, blessed are those who play adventure games, for theirs is the kingdom of heaven.

Yes, It's up to this version 16.0.2. I downloaded jdk1.8.0_301 and added it with its path and it works but I'm getting another error  (laugh)


images 10 jpg

android--24 solved.
Another error>



24.0.1 solved.
Another error>



v4 and m2repository were missing. 24.2.0 Solved.
Another error at 92%  :~( >



I solved the missing keystore, now I have .apk and .obb but the game dosn't run, black screen and nothing else.



« Last Edit: 02 Aug 2021, 08:49 by Amir »
Truly, truly, i say to you, blessed are those who play adventure games, for theirs is the kingdom of heaven.